/* Base styles */
:root {
  --bg-color: white;
  --text-color: black;
  --text-color2: #90c6d8;
/*  --bg-img: url(assets/images/head.jpg);*/
}
@font-face {
  font-family: DidactGothic;
  src: url('../Didact_Gothic/DidactGothic-Regular.ttf') format('ttf');
  }
body {
  font-family: 'DidactGothic', sans-serif;
  background-color: var(--bg-color);
  color: var(--text-color);
  background-image: var(--bg-img);
  background-size: 100% 100%;
background-repeat: no-repeat;
background-size: cover;
  transition: background-color 0.8s ease, color 0.3s ease;
  height: 100vh;
}
.logo_name {
font-family: 'DidactGothic', sans-serif;
font-size: 34px;
padding-bottom: 0;
margin-bottom: 0;
color: var(--text-color);
font-weight: 300;
letter-spacing: 3px;
}
.copyright {
  font-family: 'DidactGothic', sans-serif;
font-size: 13px;
color: var(--text-color2);
font-weight: 100;
padding-left: 140px;
}
.rs-mainwin{

display: flex;
flex-direction: row;
justify-content: center;
align-items: center;
margin: 0px;
color: var(--text-color);
height: 100vh;
}
.rs-mainwin p{
padding-top: 0;
margin-top: 0;
letter-spacing: 3px;
color: var(--text-color2);
}
.bi-arrow-down-circle {
font-size: 55px;
font-weight: 300;
color: #90c6d8;
}
.bi-arrow-down-circle:hover {

color: #001F3F;
}
.invalid-feedback {
  display: none;
  width: 100%;
  margin-top: .25rem;
  font-size: .875em;
  color: #dc3545;
}
.valid-feedback {
  display: none;
  width: 100%;
  margin-top: .25rem;
  font-size: .875em;
  color: #198754;
}
/* Dark theme */
.dark-theme {
  --bg-color: black;
  --text-color: white;
  --text-color2: #90c6d8;
/*  --bg-img: url(../../build/img/DSC00447.JPG); */
}

/* Light theme */
.light-theme {
  --bg-color: white;
  --text-color: black;
  --text-color2: #666;
 /* --bg-img: url(assets/images/3.webp);*/

}

/* System preference (optional fallback) */
@media (prefers-color-scheme: dark) {
  :root:not(.light-theme):not(.dark-theme) {
    --bg-color: black;
    --text-color: white;
  }
}

@media (prefers-color-scheme: light) {
  :root:not(.light-theme):not(.dark-theme) {
    --bg-color: white;
    --text-color: black;
  }
}
.lightfilter{
  position: absolute;
  top: 3px;
  right: 3px;
}
/* Add background images to select options */
.custom-dropdown {
  position: relative;
  width: 36px;
  border: 1px solid #ccc;
  border-radius: 5px;
  background: #fff;
  cursor: pointer;

}

.selected-option {
  padding: 10px;
  display: flex;
  align-items: center;
  gap: 10px;
}

.options {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  border: 1px solid #ccc;
  background: #fff;
  z-index: 10;
  list-style: none;
  margin: 0;
  padding: 0;
}

.option {
  padding: 10px;
  display: flex;
  align-items: center;
  gap: 10px;
}

.option:hover {
  background: #f0f0f0;
}

.custom-dropdown.open .options {
  display: block;
}
.sizemarker{
  position: absolute;
  left: 147px;
  color: var(--text-color2);
  font-weight: 100;
  opacity: 0.3;
}
.sizemarker2{
  position: absolute;
  bottom: 89px; /* Position relative to the viewport */
  right: 0;
  color: var(--text-color2);
  font-weight: 100;
  opacity: 0.3;
}
.cockpit {
  margin: 0;
  height: 100vh;
  overflow: hidden;
  
  position: relative; /* Allows positioning of child elements */
}

.cockpit::before {
  content: "";
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  
  pointer-events: none; /* Keeps interactive elements functional */
}

/* Vertical Line */
.vertical-line {
  position: absolute;
  width: 1px;
  height: 0; /* Start with height 0 */
  background-color: var(--text-color2);
  left: 144px; /* Position relative to the viewport */
  animation: drawVertical 1s ease-out forwards; /* Animate height */
}

@keyframes drawVertical {
  to {
    height: 100vh; /* Full height animation */
  }
}

/* Horizontal Line */
.horizontal-line {
  position: absolute;
  height: 1px;
  width: 0; /* Start with width 0 */
  background-color: var(--text-color2);
  bottom: 89px; /* Position relative to the viewport */
  animation: drawHorizontal 1s ease-out forwards;
  animation-delay: 1s; /* Delay to start after the vertical line */
}

@keyframes drawHorizontal {
  to {
    width: 100%; /* Full width animation */
  }
}
.hline {
  border: 1px var(--text-color2) solid;
border-top: 0px;
border-left: 0px;
border-right: 0px;
  
}
/* overview box */
.overview_box {
  border: 1px var(--text-color2) solid;
  opacity: 1;
 
  padding: 8px;
  
}
.overview_box_title{
  color: var(--text-color);
  font-size: 34px;
  font-weight: 200;
  opacity: 1;
}
.vbit{
  height: 144px;
  background-color: var(--text-color2);
  width: 1px;
  margin-left: 144px;
}
.contact_box {
  border: 1px var(--text-color2) solid;
  opacity: 1;
 width:500px;
  padding: 8px;
  
}
.vbit2{
  height: 73px;
  background-color: var(--text-color2);
  width: 1px;
  margin-left: 90%;
}
@media only screen and (max-width: 1024px) {
  .hline {
    display: none;
  }
}
@media only screen and (max-width: 600px) {

  .vertical-line {
    left: 34px; /* Position relative to the viewport */
  }
  .horizontal-line {
    bottom: 34px; /* Position relative to the viewport */
  }
  .sizemarker{
    left: 36px;
  }
  .sizemarker2{
    bottom: 34px;
  } 
  .overview_box {
    width:100%;
    margin-left: 0px;
  }
  .vbit{
    height: 73px;
    background-color: var(--text-color2);
    width: 1px;
    margin-left: 34px;
  }

  .contact_box {
   width:100%;
    
  }
  .copyright {
  padding-left: 30px;
  }
  .hline {
    display: none;
  }
}	